# CPU speed get

An action block that gets the CPU governor and speed.

The fiber will proceed immediately without pause.

Note! This feature isn’t officially supported, requires the privileged service, may not work on all devices.

## Input arguments

- Processor — CPU to get governor and speeds for, default is 0.

## Output variables

- Current level — variable to assign the number of CPUs present.
- Available governors — variable to assign an array with the available governors for processor.
- Current governor — variable to assign currently used governor for processor.
- Current minimum speed — variable to assign current minimum speed for processor.
- Current maximum speed — variable to assign current maximum speed for processor.
- Current userspace speed — variable to assign current speed by the Userspace governor for processor.